Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class MetaDataEntry

    java.lang.Object
      org.apache.axis2.util.MetaDataEntry

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, SafeSerializable

    public class MetaDataEntry

extends java.lang.Object
implements java.io.Externalizable, SafeSerializable

An internal class for holding a set of information about an object.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `END_OF_LIST`

Constructor Summary
`MetaDataEntry()` Simple constructor
`MetaDataEntry(java.lang.String className, java.lang.String qnameAsString)` Constructor
`MetaDataEntry(java.lang.String className, java.lang.String qnameAsString, java.util.ArrayList children)` Constructor
`MetaDataEntry(java.lang.String className, java.lang.String qnameAsString, java.lang.String extraName)` Constructor

Method Summary
`void` | `addToList(MetaDataEntry e)` Add to the list
`java.util.ArrayList` | `getChildren()` Get the list
`java.lang.String` | `getClassName()` Get the class name
`java.lang.String` | `getExtraName()` Get the additional name associated with the object
`java.lang.String` | `getName()` This is a convenience method.
`javax.xml.namespace.QName` | `getQName()` Get the QName
`java.lang.String` | `getQNameAsString()` Get the QName as a string
`boolean` | `isListEmpty()` Indicates whether the list is empty or not
`void` | `readExternal(java.io.ObjectInput inObject)` Restore the contents of the object that was previously saved.
`void` | `removeList()` Remove the list
`void` | `setChildren(java.util.ArrayList L)` Set the list
`void` | `setClassName(java.lang.String c)` Set the class name
`void` | `setExtraName(java.lang.String e)` Set the additional name associated with the object
`void` | `setQName(javax.xml.namespace.QName q)` Set the QName
`void` | `setQName(java.lang.String n)` Set the QName
`void` | `writeExternal(java.io.ObjectOutput o)` Save the contents of this object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### END_OF_LIST

    public static java.lang.String END_OF_LIST

Constructor Detail

### MetaDataEntry

    public MetaDataEntry()

  Simple constructor

### MetaDataEntry

    public MetaDataEntry(java.lang.String className,
                         java.lang.String qnameAsString)

  Constructor

  Parameters:
    `className` - name of the object class
    `qnameAsString` - an expanded version of the QName of this object

### MetaDataEntry

    public MetaDataEntry(java.lang.String className,
                         java.lang.String qnameAsString,
                         java.lang.String extraName)

  Constructor

  Parameters:
    `className` - name of the object class
    `qnameAsString` - an expanded version of the QName of this object
    `extraName` - an additional name associated withe the object

### MetaDataEntry

    public MetaDataEntry(java.lang.String className,
                         java.lang.String qnameAsString,
                         java.util.ArrayList children)

  Constructor

  Parameters:
    `className` - name of the object class
    `qnameAsString` - an expanded version of the QName of this object
    `children` - an ArrayList containing MetaDataEntries for owned objects

Method Detail

### getClassName

    public java.lang.String getClassName()

  Get the class name

  Returns:
    the class name string

### setClassName

    public void setClassName(java.lang.String c)

  Set the class name

  Parameters:
    `c` - the class name string

### getQName

    public javax.xml.namespace.QName getQName()

  Get the QName

  Returns:
    the QName based on the qnameAsString value

### setQName

    public void setQName(javax.xml.namespace.QName q)

  Set the QName

  Parameters:
    `q` - the QName

### setQName

    public void setQName(java.lang.String n)

  Set the QName

  Parameters:
    `n` - the QName as a string

### getQNameAsString

    public java.lang.String getQNameAsString()

  Get the QName as a string

  Returns:
    the QName as a string

### getName

    public java.lang.String getName()

  This is a convenience method. Returns the string that is used as a name.

  Returns:
    the name

### getExtraName

    public java.lang.String getExtraName()

  Get the additional name associated with the object

  Returns:
    the additional name string

### setExtraName

    public void setExtraName(java.lang.String e)

  Set the additional name associated with the object

  Parameters:
    `e` - the extra name string

### isListEmpty

    public boolean isListEmpty()

  Indicates whether the list is empty or not

  Returns:
    false for a non-empty list, true for an empty list

### getChildren

    public java.util.ArrayList getChildren()

  Get the list

  Returns:
    the array list

### setChildren

    public void setChildren(java.util.ArrayList L)

  Set the list

  Parameters:
    `L` - the ArrayList of MetaDataEntry objects

### addToList

    public void addToList(MetaDataEntry e)

  Add to the list

  Parameters:
    `e` - the MetaDataEntry object to add to the list

### removeList

    public void removeList()

  Remove the list

### writeExternal

    public void writeExternal(java.io.ObjectOutput o)
                       throws java.io.IOException

  Save the contents of this object

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Parameters:
    `out` - The stream to write the object contents to
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput inObject)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Restore the contents of the object that was previously saved.

  NOTE: The field data must read back in the same order and type as it was written.

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Parameters:
    `in` - The stream to read the object contents from
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.